QwtValuePointData< T >(3)

NAME
QwtValuePointData< T > - Interface for iterating over a QVector<T>.

SYNOPSIS

#include <qwt_point_data.h>

Inherits QwtPointSeriesData.

  Public Member Functions
QwtValuePointData (const QVector< T > &y)
QwtValuePointData (const T *y, size_t size)
virtual size_t size () const override
virtual QPointF sample (size_t index) const override
const QVector< T > & yData () const

  Additional Inherited Members

Detailed Description

  template<typename T>
class QwtValuePointData< T >" Interface for iterating over a QVector<T>. The memory contains the y coordinates, while the index is interpreted as x coordinate.

Definition at line 67 of file qwt_point_data.h.

Constructor & Destructor Documentation

  template<typename T > QwtValuePointData< T >::QwtValuePointData (const QVector< T > & y)
Constructor

Parameters
    y Array of y values

See also
    QwtPlotCurve::setData(), QwtPlotCurve::setSamples()

Definition at line 266 of file qwt_point_data.h.

  template<typename T > QwtValuePointData< T >::QwtValuePointData (const T * y, size_t size)
Constructor

Parameters
    y Array of y values
    size Size of the x and y arrays

See also
    QwtPlotCurve::setData(), QwtPlotCurve::setSamples()

Definition at line 279 of file qwt_point_data.h.

Member Function Documentation

  template<typename T > QPointF QwtValuePointData< T >::sample (size_t index) const [override], [virtual]
Return the sample at position i

Parameters
    index Index

Returns
    Sample at position i

Reimplemented from QwtArraySeriesData< QPointF >.

Definition at line 299 of file qwt_point_data.h.

  template<typename T > size_t QwtValuePointData< T >::size [override], [virtual]

Returns
    Size of the data set

Reimplemented from QwtArraySeriesData< QPointF >.

Definition at line 287 of file qwt_point_data.h.

  template<typename T > const QVector< T > & QwtValuePointData< T >::yData

Returns
    Array of the y-values

Definition at line 306 of file qwt_point_data.h.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.